CivicSend


 






CivicSend Email Client Support

Overview 

CivicSend supports proper display in Microsoft Outlook 2010 or later. The platform/module does not support earlier versions. 

We recommend that users use the View in Browser options if the email does not correctly appear in their email provider platform.

Resources




I'd Like to Request an Enhancement

0 out of 0 found this helpful

Updated:
Follow

Article Feedback